Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors
Class ClassExtractor

`java.lang.Object
oracle.toplink.descriptors.ClassExtractor`

Direct Known Subclasses:
  MethodClassExtractor

public abstract class ClassExtractor
extends java.lang.Object

Purpose: Abstract class to allow complex inheritance support. Typically class indicators are used to define inheritance in the database, however in complex cases the class type may be determined through another mechanism. The class extractor must be able to determine and return the class type from the database row.

See Also:
  `oracle.toplink.descriptors.InheritancePolicy#setClassExtractor(ClassExtrator)`

Constructor Summary
`ClassExtractor()`

Method Summary
`abstract java.lang.Class` | `extractClassFromRow(Record databaseRow, Session session)` Extract/compute the class from the database row and return the class.
`void` | `initialize(Descriptor descriptor, Session session)` Allow for any initialization.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassExtractor

    public ClassExtractor()

Method Detail

### extractClassFromRow

    public abstract java.lang.Class extractClassFromRow(Record databaseRow,
                                                        Session session)

  Extract/compute the class from the database row and return the class. Map is used as the public interface to database row, the key is the field name, the value is the database value.

### initialize

    public void initialize(Descriptor descriptor,
                           Session session)
                    throws DescriptorException

  Allow for any initialization.
  Throws:
    `DescriptorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD